Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 146777 - CAN-2005-0211 Buffer overflow in WCCP recvfrom() call
Summary: CAN-2005-0211 Buffer overflow in WCCP recvfrom() call
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=important,public=20050128
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-01 16:22 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
2 users (show)

Fixed In Version: 7:2.5.STABLE3-6.3E.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-14 16:06:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Josh Bressers 2005-02-01 16:22:40 UTC
The length argument of the WCCP recvfrom() call is larger than it should be. An
attacker may send a larger-than-normal WCCP packet and overflow a buffer.

The upstream patch for this issue can be found here:
http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-wccp_buffer_overflow.patch

Comment 1 Josh Bressers 2005-02-01 16:26:37 UTC
This issue should affect RHEL2.

Comment 2 Jay Fenlason 2005-02-10 18:59:32 UTC
*** Bug 147696 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.